/* 
Name: readpng.h
Version: 1.0

Description: Header file PNG-reading function
Author: Jiri Filip, UTIA AS CR, filipj'at'utia'dot'cas'dot'cz
Date: 18/02/04
 */

#ifndef readpng_c
#define readpng_c

int read_PNG_header(char *filename, int *planes, int *nr, int *nc);
int read_PNG_file (char * filename,unsigned char *arr,int planes, int nr, int nc, int oneplane);

int read_PNG_file3D (char * filename,float ***arr,int planes, int nr, int nc, int oneplane);

int write_PNG_file (char *filename,float ***arr,int planes, int nr, int nc, int oneplane, int sixteenbit);
int write_PNG_file_1D (char *filename,unsigned char *arr,int planes, int nr, int nc, int oneplane);

#endif
